## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           azure-nvme-utils
Version:        0.1.3
Release:        %autorelease
Summary:        Utilities to assist managing NVMe devices on Azure

License:        MIT
URL:            https://github.com/Azure/%{name}
Source:         %{url}/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pandoc
BuildRequires:  pkgconfig(libudev)

%description
This package provides azure-nvme-id for NVMe device identification and udev
rules to provide symlinks using available identifiers.

%prep
%autosetup -n %{name}-%{version}

%build
%cmake -DVERSION="%{version}-%{release}"
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%{_mandir}/man1/azure-nvme-id.1.gz
%{_sbindir}/azure-nvme-id
%{_udevrulesdir}/80-azure-nvme.rules

%changelog
## START: Generated by rpmautospec
* Wed Jun 05 2024 Chris Patterson <cpatterson@microsoft.com> - 0.1.3-1
- Initial import (fedora#2278907)
## END: Generated by rpmautospec
